

x_159 = 5;
x_15a = 15;
x_15b = 15;
x_15c = 15;
x_15d = 'mainBody';
x_15e = 40;
x_15f = 3;
x_15g = 2;
x_15h = 2;

function x_30() {
try {
var x_2z = document.getElementById('x_2x');
this.x_2z = x_2z;
this.x_2z.style.visibility = 'hidden';
this.x_2z.style.position = 'absolute';
this.x_2z.style.opacity = 0;
this.x_2z.style.filter = 'alpha(opacity=0)';
this.x_15i = 5;
this.x_15j = 5;
this.x_15k = document.getElementById('x_2y');
this.x_15k.style.visibility = 'hidden';
this.x_15k.style.position = 'absolute';
} catch (e) {
}
}

x_30.prototype.x_15l = function (x_76) {
var x_15m = document.createElement('div');
for (i in x_76) {
var x_t2 = document.createElement('div');
x_t2.innerHTML = x_76[i];
if (x_76.length > 1 && 0 == i) {
x_t2.className = 'TPheader';
} else {
x_t2.className = 'TProw';
}
x_15m.appendChild(x_t2);
}
return x_15m.innerHTML;
}

x_30.prototype.x_bb = function (x_so, x_15n){
var x_15o = document.getElementById(x_15n);
this.x_15p = x_15o;
this.x_15q();
x_15r = false;
try {
eval('x_15r = ' + x_so.getAttribute('tooltip') + ';');
} catch (e) {}
if (x_15r && x_15r.x_76 && x_15o) {
if (x_15r.x_76.length != 0) {
this.x_2z.innerHTML = this.x_15l(x_15r.x_76);
if (x_15r.x_hh && x_15r.x_hh.legth != 0) {
this.x_hh = x_15r.x_hh;
}
if (this.x_2z.x_15s != x_15n) {
this.x_2z.x_15s = x_15n;
this.totalOffsetX = 0;
this.totalOffsetY = 0;			
this.x_xa(this.x_15p);
}
if (x_15r.x_71) {
this.x_15t(x_15r.x_71, x_so);
if (x_15r.x_71.x_15u && 1 == x_15r.x_71.x_15u*1) {
this.x_15u = 1;
}
} else {
this.x_15v('fixed');
}
this.x_rs();
}
}
}

x_30.prototype.x_xa = function(x_wo) {
if (this.x_15w(x_wo))
this.totalOffsetX = this.totalOffsetX + this.x_15w(x_wo);
if (this.x_15x(x_wo))
this.totalOffsetY = this.totalOffsetY + this.x_15x(x_wo);
if (x_wo.offsetParent) {
this.x_xa(x_wo.offsetParent);
}
}

x_30.prototype.x_rs = function() {
if (this.x_15y) {
this.x_15k.style.visibility = 'visible';
}
this.x_2z.style.visibility = 'visible';
}

x_30.prototype.x_bc = function (){
if (this.x_15y) {
this.x_15k.style.visibility = 'hidden';
}
this.x_2z.style.visibility = 'hidden';
}

x_30.prototype.x_15q = function () {
this.x_2z.className = '';
this.x_2z.style.left = 0;
this.x_2z.style.top = 0;
this.x_2z.style.opacity = 0.9;
this.x_2z.style.filter = 'alpha(opacity=90)';	
this.x_15u = 0;	
this.x_2z.innerHTML = '';
this.x_15y = false;
}

x_30.prototype.x_15t = function (x_vs, x_so) {
if (x_vs.x_72) {
this.x_2z.className = x_vs.x_72;
}
if (x_vs.x_ha && 1 == x_vs.x_ha) {
this.x_15y = true;
} else {
this.x_15y = false;
}
if (x_vs.x_h6) {
switch (x_vs.x_h6) {
case 'fixed':
var x_15z = 'fixed';
break;
default:
var x_15z = 'fixed';
}
} else {
var x_15z = 'fixed';			
}
if (x_vs.x_h7 && ('top' == x_vs.x_h7 || 'bottom' == x_vs.x_h7 || 'absoluteX' == x_vs.x_h7 || 'absoluteY' == x_vs.x_h7)) {
var x_h7 = x_vs.x_h7;
}
if (x_vs.x_h9) {
var x_h9 = x_vs.x_h9 * 1;
} else {
var x_h9 = 0;
}
if (x_vs.x_h8) {
var x_h8 = x_vs.x_h8 * 1;
} else {
var x_h8 = 0;
}
this.x_15v(x_15z, x_h7, x_h9, x_h8);
}

x_30.prototype.x_15v = function (x_89, x_rs, x_160, x_161){	
if (this.x_hh) {
var x_162 = this.x_hh.x_hi*1;
var x_163 = this.x_hh.x_hj*1;
var x_xp = this.x_hh.x_hl*1 - this.x_hh.x_hj*1;
var x_164 = this.x_hh.x_hk*1 - this.x_hh.x_hi*1;
var x_165 = this.totalOffsetY + this.x_hh.x_hl*1;
var x_xm = this.totalOffsetY + this.x_hh.x_hj*1;
}
var x_166 = this.x_2z.offsetWidth*1;
var x_167 = this.x_2z.offsetHeight*1;
var x_168 = document.getElementById(x_15d);
var x_xk = 0;
var x_xl = 0;
var x_x9 = 0;
var x_x6 = 0;
if (x_168) {
x_xk = x_168.scrollLeft*1;
x_xl = x_168.scrollTop*1;
x_x9 = x_168.clientWidth*1;
x_x6 = x_168.clientHeight*1;
}
switch (x_89) {
case 'cursor':
var x_162 = x_160 + x_15b;
var x_163 = x_161 + x_15c;
if ((x_162 + x_166) >= (x_x9 + x_xk - x_15f)) {
x_162 = (x_162 - ((x_162 + x_166) - (x_x9))) - x_15f;
} else if (x_162 <= x_xk) {
x_162 = x_15f;
} else if (x_xk > 0 && (x_162 + x_166) >= (x_x9)) {
x_162 = x_x9 - (x_166 + x_15f);
}
if (	(x_163 + x_167 - x_15e) >= (x_x6 + x_xl) ||
(x_xl > 0 && (x_163 + x_167) >= (x_x6)) ) {
x_163 = x_163 - x_167 - (2*x_15c);
}
this.x_2z.style.left = x_162 + 'px';
this.x_2z.style.top = x_163 + 'px';
if (this.x_15y) {
this.x_15k.style.width = (x_166 - x_15g) + 'px';
this.x_15k.style.height = (x_167 - x_15h) + 'px';
this.x_15k.style.left = (x_162 + (x_15g * 2)) + 'px';
this.x_15k.style.top = (x_163 + (x_15h * 2)) + 'px';
}	
break;
case 'fixed':
if (x_rs && ('top' == x_rs || 'absoluteX' == x_rs)) {
if ('absoluteX' == x_rs) {
x_162 = x_162 + this.totalOffsetX + x_160 + x_15f;
x_163 = (this.totalOffsetY - x_167) + x_161;
} else {				
x_162 = x_162 + this.totalOffsetX + x_160;
x_163 = x_163 + (this.totalOffsetY - x_167) - x_161;
}
if (x_15d) {
if ((x_162 + x_166) >= (x_x9 + x_xk - x_15f)) {
x_162 = (x_162 - ((x_162 + x_166) - (x_x9))) - x_15f;
} else if (x_162 <= x_xk) {
x_162 = x_15f;
} else if (x_xk > 0) {
x_162 = (x_162 - x_xk) + x_15f;
}
if (x_163 <= (x_xl + x_15e)) {
x_163 = x_165 - x_xl + x_15a;
} else if (x_163 >= (x_xl + x_15e)) {
x_163 = (x_163 - x_xl);
}
}
} else if (x_rs && ('bottom' == x_rs || 'absoluteY' == x_rs)) {
if ('absoluteY' == x_rs) {
x_162 = this.totalOffsetX + x_160;
x_163 = this.totalOffsetY + x_161 + x_15f - x_xl;
} else {
x_162 = x_162 + this.totalOffsetX;
x_163 = this.totalOffsetY + x_163 + x_xp + x_161;
}
if (x_15d) {
if ((x_162 + x_166) >= (x_x9 + x_xk - x_15f)) {
x_162 = (x_162 - ((x_162 + x_166) - (x_x9))) - x_15f;
} else if (x_162 <= x_xk) {
x_162 = x_15f;
} else if (x_xk > 0) {
x_162 = (x_162 - x_xk) + x_15f;
}
if ((x_163 + x_167) >= (x_x6 + x_15e)) {
x_163 = x_163 - x_167 - x_15e;
}
}				
} else {
x_162 = x_162 + this.totalOffsetX + x_159;
x_163 = x_163 + this.totalOffsetY + x_xp - x_xl + x_15a;
if (x_15d) {
if ((x_162 + x_166) >= (x_x9 + x_xk - x_15f)) {
x_162 = (x_162 - ((x_162 + x_166) - (x_x9))) - x_15f;
} else if (x_162 <= x_xk) {
x_162 = x_15f;
} else if (x_xk > 0) {
x_162 = (x_162 - x_xk) + x_15f;
}
if ((x_163 + x_167 + x_15a) >= (x_x6 + x_15e)) {
x_163 = (x_xm - x_167 - x_xl);
}
}
}
this.x_2z.style.left = x_162  + 'px';
this.x_2z.style.top = x_163  + 'px';
if (this.x_15y) {
this.x_15k.style.width = (x_166 - x_15g) + 'px';
this.x_15k.style.height = (x_167 - x_15h) + 'px';
this.x_15k.style.left = (x_162 + (x_15g * 2))  + 'px';
this.x_15k.style.top = (x_163 + (x_15h * 2))  + 'px';
}
break;
}
}

x_30.prototype.x_15w = function (x_so){	
return x_so.offsetLeft;
}

x_30.prototype.x_15x = function (x_so){
return x_so.offsetTop;
}

x_30.prototype.x_ej = function (x_so, x_z5) {
if (typeof x_so.x_ej == 'undefined') {
var x_169 = x_so.getElementsByTagName(x_z5);
for (var i = 0; i < x_169.length; i++) {
if (x_z5 == x_169[i].tagName) {
x_169[i].x_si = this;
this.x_16a(x_169[i], 'mousemove', x_169[i].x_si.x_16b);
this.x_16a(x_169[i], 'mouseout', x_169[i].x_si.x_16c);
}
}
x_so.x_ej = true;
}
}

x_30.prototype.x_16c = function (){
if (x_2z.x_15y) {
x_2z.x_15k.style.visibility = 'hidden';
}
x_2z.x_2z.style.visibility = 'hidden';
}

x_30.prototype.x_16b = function(x_tm) {
if (!x_tm) var x_tm = window.event;
if (document.all) {
x_tm.cancelBubble = true;
} else {
x_tm.stopPropagation();
}
var x_so = this;
if (document.all && x_tm.srcElement) {
x_so = x_tm.srcElement;
var i = 0;
while (!x_so.tooltip && i < 5) {
x_so = x_so.parentNode;
i++;
}
}
var x_15r = false;	
try {
eval('x_15r = ' + x_so.getAttribute('tooltip') + ';');
} catch (e) {}
var x_162 = 0;
var x_163 = 0;
if (x_tm.pageX || x_tm.pageY) 	{
x_162 = x_tm.pageX;
x_163 = x_tm.pageY;
}
else if (x_tm.clientX || x_tm.clientY) 	{
x_162 = x_tm.clientX + document.body.scrollLeft + document.documentElement.scrollLeft;
x_163 = x_tm.clientY + document.body.scrollTop + document.documentElement.scrollTop;
}
if (x_2z.x_2z.style.visibility == 'visible') {
x_2z.x_15v('cursor', '', x_162, x_163);
} else if (x_15r && typeof x_15r.x_71 != 'undefined') {
x_2z.x_15q();
x_2z.x_15y = true;
x_2z.x_2z.className = x_15r.x_71.x_72;
x_2z.x_2z.innerHTML = x_2z.x_15l(x_15r.x_76);
x_2z.x_15v('cursor', '', x_162, x_163);
x_2z.x_rs();
}
return false;
}

x_30.prototype.x_16a = function (x_so, x_tm, x_tl) {
if (document.all) {
x_so.attachEvent('on' + x_tm, x_tl);
}
else {
x_so.addEventListener(x_tm, x_tl, true);
}
}

x_30.prototype.x_16d = function (x_so, x_tm, x_tl) {
if (document.all) {
x_so.detachEvent('on' + x_tm, x_tl);
}
else {
x_so.removeEventListener(x_tm, x_tl, true);
}
}
